# Interface to MakerDAO Medianizer contract (IMedianizer.sol)

View Source: [contracts/external/IMedianizer.sol](https://github.com/PolymathNetwork/polymath-core/tree/096ba240a927c98e1f1a182d2efee7c4c4c1dfc5/contracts/external/IMedianizer.sol)

**IMedianizer**

## Functions

* [peek()](/polymath/api/imedianizer.md#peek)
* [read()](/polymath/api/imedianizer.md#read)
* [set(address wat)](/polymath/api/imedianizer.md#set)
* [set(bytes12 pos, address wat)](/polymath/api/imedianizer.md#set)
* [setMin(uint96 min\_)](/polymath/api/imedianizer.md#setmin)
* [setNext(bytes12 next\_)](/polymath/api/imedianizer.md#setnext)
* [unset(bytes12 pos)](/polymath/api/imedianizer.md#unset)
* [unset(address wat)](/polymath/api/imedianizer.md#unset)
* [poke()](/polymath/api/imedianizer.md#poke)
* [poke(bytes32 )](/polymath/api/imedianizer.md#poke)
* [compute()](/polymath/api/imedianizer.md#compute)
* [void()](/polymath/api/imedianizer.md#void)

### peek

```javascript
function peek() external view
returns(bytes32, bool)
```

**Arguments**

| Name | Type | Description |
| ---- | ---- | ----------- |

### read

```javascript
function read() external view
returns(bytes32)
```

**Arguments**

| Name | Type | Description |
| ---- | ---- | ----------- |

### set

```javascript
function set(address wat) external nonpayable
```

**Arguments**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| wat  | address |             |

### set

```javascript
function set(bytes12 pos, address wat) external nonpayable
```

**Arguments**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| pos  | bytes12 |             |
| wat  | address |             |

### setMin

```javascript
function setMin(uint96 min_) external nonpayable
```

**Arguments**

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| min\_ | uint96 |             |

### setNext

```javascript
function setNext(bytes12 next_) external nonpayable
```

**Arguments**

| Name   | Type    | Description |
| ------ | ------- | ----------- |
| next\_ | bytes12 |             |

### unset

```javascript
function unset(bytes12 pos) external nonpayable
```

**Arguments**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| pos  | bytes12 |             |

### unset

```javascript
function unset(address wat) external nonpayable
```

**Arguments**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| wat  | address |             |

### poke

```javascript
function poke() external nonpayable
```

**Arguments**

| Name | Type | Description |
| ---- | ---- | ----------- |

### poke

```javascript
function poke(bytes32 ) external nonpayable
```

**Arguments**

| Name | Type    | Description |
| ---- | ------- | ----------- |
|      | bytes32 |             |

### compute

```javascript
function compute() external view
returns(bytes32, bool)
```

**Arguments**

| Name | Type | Description |
| ---- | ---- | ----------- |

### void

```javascript
function void() external nonpayable
```

**Arguments**

| Name | Type | Description |
| ---- | ---- | ----------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymath/api/imedianizer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
